<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\PreguntasFrecuentesRepository;

final class PreguntasFrecuentesService
{
    private PreguntasFrecuentesRepository $PreguntasFrecuentesRepository;

    public function __construct(PreguntasFrecuentesRepository $PreguntasFrecuentesRepository)
    {
        $this->PreguntasFrecuentesRepository = $PreguntasFrecuentesRepository;
    }

    public function checkAndGet(int $PreguntasFrecuentesId): object
    {
        return $this->PreguntasFrecuentesRepository->checkAndGet($PreguntasFrecuentesId);
    }

    public function getAll(): array
    {
        return $this->PreguntasFrecuentesRepository->getAll();
    }

    public function getOne(int $PreguntasFrecuentesId): object
    {
        return $this->checkAndGet($PreguntasFrecuentesId);
    }

    public function create(array $input): object
    {
        $PreguntasFrecuentes = json_decode((string) json_encode($input), false);

        return $this->PreguntasFrecuentesRepository->create($PreguntasFrecuentes);
    }

    public function update(array $input, int $PreguntasFrecuentesId): object
    {
        $PreguntasFrecuentes = $this->checkAndGet($PreguntasFrecuentesId);
        $data = json_decode((string) json_encode($input), false);

        return $this->PreguntasFrecuentesRepository->update($PreguntasFrecuentes, $data);
    }

    public function delete(int $PreguntasFrecuentesId): void
    {
        $this->checkAndGet($PreguntasFrecuentesId);
        $this->PreguntasFrecuentesRepository->delete($PreguntasFrecuentesId);
    }
}
